#
# spec file for package yacc (Version 91.7.30)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         yacc
Copyright:    BSD
Group:        Development/Tools
Provides:     byacc yacc 
Autoreqprov:  on
Version:      91.7.30
Release:      393
Summary:      BSD yacc
Source: yacc.tar.gz
Patch:  yacc.dif
Patch1: yacc-security.patch
BuildRoot:    /var/tmp/%{name}-build

%description
Yacc is a parser generator.
"bison -y" should react exactly the same.

SuSE series: d

%prep
%setup -n yacc
%patch
%patch -P 1 -p 0 -b .tmpfile

%build
make -f Makefile.Linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/bin,%{_mandir}/man1}
make -f Makefile.Linux install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/yacc
%doc %{_mandir}/man1/yacc.1.gz

%changelog -n yacc
* Wed Jan 10 2001 - werner@suse.de
- Add temp file patch of Olaf Kirch
* Fri Oct 06 2000 - nadvornik@suse.cz
- added BuildRoot
* Thu Mar 23 2000 - schwab@suse.de
- Fix 64-bit bugs.
* Wed Mar 01 2000 - schwab@suse.de
- Specifile cleanup
- /usr/man -> /usr/share/man
- Add group tag and copyright
* Sat Nov 27 1999 - kukuk@suse.de
- Add support for SPARC to Makefile.Linux
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - uli@suse.de
- fixed Makefile.Linux for PPC
* Tue Feb 02 1999 - ro@suse.de
- no m486 on alpha
* Mon Jun 22 1998 - ro@suse.de
- removed forced inclusion of bsd/bsd.h from Makefile.Linux
